dnl Process this file with autoconf to produce a configure script.
dnl Created by Anjuta - will be overwritten
dnl If you don't want it to overwrite it,
dnl 	Please disable it in the Anjuta project configuration

AC_INIT(configure.in)
AM_INIT_AUTOMAKE(euler, 1.61.0)
AM_CONFIG_HEADER(config.h)

AC_ISC_POSIX
CFLAGS=""
AC_SUBST(CFLAGS)
AC_PROG_CC
AM_PROG_CC_STDC
AC_HEADER_STDC
AM_PROG_LIBTOOL
PKG_CHECK_MODULES(GTK, gtk+-2.0 >= 2.6.0,,exit)
AC_SUBST(GTK_LIBS)
AC_SUBST(GTK_CFLAGS)
dnl Checks for programs.


dnl Checks for libraries.


dnl Checks for header files.


dnl Checks for typedefs, structures, and compiler characteristics.


dnl Checks for library functions.


dnl Checks for Additional stuffs.
dnl AC_PROG_INSTALL


dnl Set SOURCE DIR in config.h.
packagesrcdir=`cd $srcdir && pwd`

dnl Set PREFIX
if test "x${prefix}" = "xNONE"; then
  packageprefix=${ac_default_prefix}
else
  packageprefix=${prefix}
fi

dnl Subst INSTALL_DIR.
NO_PREFIX_INSTALL_DIR="${packageprefix}"
AC_SUBST(NO_PREFIX_INSTALL_DIR)
INSTALL_DIR="${packageprefix}"
AC_SUBST(INSTALL_DIR)

AC_DEFINE_UNQUOTED(INSTALL_DIR, "${packageprefix}")
AC_DEFINE_UNQUOTED(SOURCE_DIR, "${packagesrcdir}")

AC_OUTPUT([
Makefile
src/Makefile
progs/Makefile
progs/user/Makefile
docs/Makefile
docs/french/Makefile
docs/german/Makefile
docs/german/images/Makefile
docs/images/Makefile
docs/reference/Makefile
])
